# MysqlndUhConnection::listMethod

(PECL mysqlnd-uh >= 1.0.0-alpha)

MysqlndUhConnection::listMethod — Wrapper for assorted list commands

### Description

public MysqlndUhConnection::listMethod ( mysqlnd_connection `$connection` , string `$query` , string `$achtung_wild` , string `$par1` ) : void

Wrapper for assorted list commands.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

`connection`

  Mysqlnd connection handle. Do not modify!

`query`

  SHOW command to be executed.

`achtung_wild`

`par1`

### Return Values

TODO

### Examples

Example #1 MysqlndUhConnection::listMethod() example

`<?php
class proxy extends MysqlndUhConnection {
public function listMethod($res, $query, $pattern, $par1) {
printf("%s(%s)\n", __METHOD__, var_export(func_get_args(), true));
$ret = parent::listMethod($res, $query, $pattern, $par1);
printf("%s returns %s\n", __METHOD__, var_export($ret, true));
return $ret;
}
}
mysqlnd_uh_set_connection_proxy(new proxy());
$mysql = mysql_connect("localhost", "root", "");
$res = mysql_list_dbs($mysql);
printf("num_rows = %d\n", mysql_num_rows($res));
while ($row = mysql_fetch_assoc($res))
var_dump($row);
?>`

The above example will output:

    proxy::listMethod(array (
      0 => NULL,
      1 => 'SHOW DATABASES',
      2 => '',
      3 => '',
    ))
    proxy::listMethod returns NULL
    num_rows = 6
    array(1) {
      ["Database"]=>
      string(18) "information_schema"
    }
    array(1) {
      ["Database"]=>
      string(5) "mysql"
    }
    array(1) {
      ["Database"]=>
      string(8) "oxid_new"
    }
    array(1) {
      ["Database"]=>
      string(7) "phptest"
    }
    array(1) {
      ["Database"]=>
      string(7) "pushphp"
    }
    array(1) {
      ["Database"]=>
      string(4) "test"
    }

### See Also

- mysqlnd_uh_set_connection_proxy() - Installs a proxy for mysqlnd connections
- mysql_list_dbs() - List databases available on a MySQL server